Skip to main content
GET
Get Tickets

Authorizations

Authorization
string
header
required

You can retrieve your API key from your dashboard under Account > Developers.

Path Parameters

shopId
integer
required

The shop ID.

Body

application/json
page
integer | null

Page number.

Example:

1

perPage
integer | null

Items per page, 1-100. Must be at least 1. Must not be greater than 100.

Example:

null

orderColumn
enum<string> | null
Available options:
id,
subject,
created_at,
closed_at
Example:

null

orderDirection
enum<string> | null
Available options:
asc,
desc
Example:

null

id
string | null

Filter by ticket ID.

Example:

null

statuses
enum<string>[]
Available options:
pending,
open,
closed
Example:

null

customer_email
string | null

Filter by customer email.

Example:

null

created_at_start
string | null

Must be a valid date.

Example:

null

created_at_end
string | null

Must be a valid date. Must be a date after created_at_start.

Example:

null

closed_at_start
string | null

Must be a valid date.

Example:

null

closed_at_end
string | null

Must be a valid date. Must be a date after closed_at_start.

Example:

null

archived
string | null

Only archived tickets.

Example:

null

Response

200 - application/json
current_page
integer
Example:

1

data
object[]
Example:
first_page_url
string
Example:

"http://api.sellauth.test/v1/shops/1/tickets?page=1"

from
integer
Example:

1

last_page
integer
Example:

1

last_page_url
string
Example:

"http://api.sellauth.test/v1/shops/1/tickets?page=1"

Example:
next_page_url
string | null
Example:

null

path
string
Example:

"http://api.sellauth.test/v1/shops/1/tickets"

per_page
integer
Example:

20

prev_page_url
string | null
Example:

null

to
integer
Example:

1

total
integer
Example:

1